Skip to main content
GET
/
tasks
List tasks
curl --request GET \
  --url https://app.leonar.app/api/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "e5f6a7b8-9012-34cd-efab-567890123def",
      "title": "Follow up with Sophie Martin",
      "description": "Discuss salary expectations and start date",
      "type": "call",
      "status": "todo",
      "priority": "high",
      "due_date": "2025-02-15",
      "assigned_to": "f6a7b8c9-0123-45de-fabc-678901234ef0",
      "contact_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "company_id": null,
      "deal_id": null,
      "project_id": "d4e5f6a7-8901-23bc-defa-456789012cde",
      "completed_at": null,
      "created_at": "2025-02-10T10:00:00Z",
      "updated_at": "2025-02-10T10:00:00Z"
    }
  ],
  "meta": {
    "total": 142,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Query Parameters

limit
integer
default:50

Items per page

Required range: 1 <= x <= 100
offset
integer
default:0

Items to skip

Required range: x >= 0
status
enum<string>
default:all
Available options:
todo,
done,
skipped,
all
type
enum<string>
Available options:
call,
email,
linkedin_connect,
linkedin_message,
whatsapp,
todo,
reminder,
meeting,
interview
assigned_to
string<uuid>
contact_id
string<uuid>
company_id
string<uuid>
deal_id
string<uuid>
sort
string
default:-created_at

Options: created_at, due_date, priority, status

Response

List of tasks

data
object[]
meta
object
Example:
{
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}